For Developers
List Source Extractions
GET https://ed.link/api/v2/teams/:team_id/sources/:source_id/extractions
Returns extraction records for the source, ordered by sequence descending. Each extraction is a model-shaped MikroORM Extraction entity with populated extractor relation.
Requires the extractions.read system permission.
This query allows for standard paging parameters.
It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.
Read More About Paging
Developer Guide
Sample Request
const response = await axios.get(
`https://ed.link/api/v2/teams/${team_id}/sources/${source_id}/extractions`,
{
headers: {
authorization: `Bearer ${user_session_token}`
},
params: { $count: 25 }
}
);
Sample Response
{
"$data": [
{
"id": "fd8e2612-1329-4d85-bb56-95dcb27d7c92",
"created_date": "2026-08-10T05:30:00.000Z",
"updated_date": "2026-08-10T05:55:00.000Z",
"state": "complete",
"extractor": {
"id": "12feb383-7455-4a3e-8da9-0851d77779cc",
"type": "sis"
}
}
]
}
Related Endpoints
POST /api/v2/teams/:team_id/sources/:source_id/extractions— Queue a new extractionPOST /api/v2/teams/:team_id/sources/:source_id/extractions/:extraction_id/cancel— Cancel an in-flight extraction
